Bug 127230 - can not add a zone
can not add a zone
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-04 19:57 EDT by Thilo Pfennig
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: system-config-bind-4.0.0-16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-03 10:19:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thilo Pfennig 2004-07-04 19:57:30 EDT
Description of problem:

I can not add a zone with system-config-bind

Version-Release number of selected component (if applicable):

bind-9.2.3-18


How reproducible:

Allways

Steps to Reproduce:
1. start system-config-bind from terminal
2. press "New"
3. type in some domain like "bla.invalid"
  
Actual results:

no reaction

Expected results:

creation of new master forward zone

Additional info:

I had deleted my old files at /etc/named.c* before after problems!

This is what I get as output:

[root@stevie etc]# system-config-bind
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:83:
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)
Traceback (most recent call last):
  File "/usr/sbin/system-config-bind-gui", line 1269, in
on_bindconf_add_button_clicked
    zone = cfg.addZone (name,file)
  File "/usr/share/system-config-bind/ConfNamed.py", line 341, in addZone
    zone.done()
  File "/usr/share/system-config-bind/ConfNamed.py", line 133, in done
    self.zone=Zone.Zone(self.name,self.getFullFile())
  File "/usr/share/system-config-bind/Zone.py", line 394, in __init__
    SOAList.append(self.translate(val[0]))
  File "/usr/share/system-config-bind/Zone.py", line 417, in translate
    return atoi(val)
  File "/usr/lib/python2.3/string.py", line 220, in atoi
    return _int(s, base)
ValueError: invalid literal for int(): 22;
Traceback (most recent call last):
  File "/usr/sbin/system-config-bind-gui", line 1235, in
on_bindconf_add_button_clicked
    dialog.set_transient_for (xml.get_widget ('bindconf'))
AttributeError: 'NoneType' object has no attribute 'set_transient_for'
Traceback (most recent call last):
  File "/usr/sbin/system-config-bind-gui", line 1322, in
on_bindconf_add_record_button_clicked
    zone = model.get_value (iter, COLUMN_DATA)
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/sbin/system-config-bind-gui", line 1374, in
on_bindconf_edit_button_clicked
    zone = model.get_value (iter, COLUMN_DATA)
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/sbin/system-config-bind-gui", line 1235, in
on_bindconf_add_button_clicked
    dialog.set_transient_for (xml.get_widget ('bindconf'))
AttributeError: 'NoneType' object has no attribute 'set_transient_for'
Comment 1 Matthew Miller 2005-04-26 12:13:28 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Jason Vas Dias 2005-06-03 10:19:07 EDT
This bug is not in the latest s-c-b-4.0.0-16 version, which can
be downloaded from: 
http://people.redhat.com/~jvdias/system-config-bind

Note You need to log in before you can comment on or make changes to this bug.